package com.kingdee.eas.custom.permissioncontrol;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.eas.custom.permissioncontrol.app.*;
import com.kingdee.bos.framework.*;

public class PermApplyBill extends HRBillBase implements IPermApplyBill
{
    public PermApplyBill()
    {
        super();
        registerInterface(IPermApplyBill.class, this);
    }
    public PermApplyBill(Context ctx)
    {
        super(ctx);
        registerInterface(IPermApplyBill.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("42CD5620");
    }
    private PermApplyBillController getController() throws BOSException
    {
        return (PermApplyBillController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public PermApplyBillCollection getPermApplyBillCollection() throws BOSException
    {
        try {
            return getController().getPermApplyBillCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public PermApplyBillCollection getPermApplyBillCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPermApplyBillCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public PermApplyBillCollection getPermApplyBillCollection(String oql) throws BOSException
    {
        try {
            return getController().getPermApplyBillCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public PermApplyBillInfo getPermApplyBillInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPermApplyBillInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public PermApplyBillInfo getPermApplyBillInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPermApplyBillInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public PermApplyBillInfo getPermApplyBillInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPermApplyBillInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}